Skip to main content
`Ctrl`+`K`

# SNESCOMPOSITE

Builds a nonlinear solver/preconditioner by composing together several `SNES` nonlinear solvers [BKST15]

## Options Database Keys

- -snes_composite_type <type: one of multiplicative, additive, additiveoptimal> - Sets composite preconditioner type

- -snes_composite_sneses - <snes0,snes1,…> list of `SNES` to compose

## References

[BKST15]

Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu. Composing scalable nonlinear algebraic solvers. SIAM Review, 57(4):535–565, 2015. http://www.mcs.anl.gov/papers/P2010-0112.pdf. URL: http://www.mcs.anl.gov/papers/P2010-0112.pdf, doi:10.1137/130936725.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCOMPOSITE`, `SNESCompositeAddSNES()`, `SNESCompositeGetSNES()`, `SNES_COMPOSITE_ADDITIVE`, `SNES_COMPOSITE_ADDITIVEOPTIMAL`, `SNES_COMPOSITE_MULTIPLICATIVE`, `SNESCompositeType`, `SNESCompositeSetType()`, `SNESCompositeSetDamping()`, `SNESCompositeGetNumber()`, `PCCompositeType`

## Level

intermediate

## Location

src/snes/impls/composite/snescomposite.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages